postgresql-common_165+deb8u3_all.deb


Advertisement

Description

postgresql-common - PostgreSQL database-cluster manager

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name postgresql-common
Package version 165+deb8u3
Package architecture all
Package type deb
Installed size 604 B
Download size 198.00 KB
Official Mirror ftp.br.debian.org
The postgresql-common package provides a structure under which
multiple versions of PostgreSQL may be installed and/or multiple
clusters maintained at one time.
This package will automatically create a (self-signed) certificate so
that SSL connections are supported.
PostgreSQL is a fully featured object-relational database management
system. It supports a large part of the SQL standard and is designed
to be extensible by users in many aspects. Its features include ACID
transactions, foreign keys, views, sequences, subqueries, triggers,
outer joins, multiversion concurrency control, and user-defined types
and functions.

Alternatives

Package Version Architecture Repository
postgresql-common_165+deb8u3_all.deb 165+deb8u3 all Debian Main
postgresql-common - - -

Requires

Name Value
adduser -
debconf >= 0.5.00
debconf-2.0 -
init-system-helpers >= 1.18~
lsb-base >= 3.0-3
postgresql-client-common >= 165+deb8u3
procps -
ssl-cert >= 1.0.11
ucf -

Conflicts

Name Value
postgresql-7.4 -
postgresql-8.0 -

Download

Type URL
Binary Package postgresql-common_165+deb8u3_all.deb
Source Package postgresql-common

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install postgresql-common deb package:
    # sudo apt-get install postgresql-common

Files

Path
/etc/apt/apt.conf.d/01autoremove-postgresql
/etc/init.d/postgresql
/etc/sysctl.d/30-postgresql-shm.conf
/lib/systemd/system/postgresql.service
/lib/systemd/system/postgresql@.service
/lib/systemd/system-generators/postgresql-generator
/usr/bin/pg_archivecleanup
/usr/bin/pg_config
/usr/bin/pg_conftool
/usr/bin/pg_createcluster
/usr/bin/pg_ctlcluster
/usr/bin/pg_dropcluster
/usr/bin/pg_lsclusters
/usr/bin/pg_upgradecluster
/usr/bin/pg_virtualenv
/usr/lib/tmpfiles.d/postgresql.conf
/usr/sbin/pg_updatedicts
/usr/share/doc/postgresql-common/NEWS.Debian.gz
/usr/share/doc/postgresql-common/README.Debian.gz
/usr/share/doc/postgresql-common/README.Devel
/usr/share/doc/postgresql-common/README.systemd
/usr/share/doc/postgresql-common/architecture.html
/usr/share/doc/postgresql-common/changelog.gz
/usr/share/doc/postgresql-common/copyright
/usr/share/doc/postgresql-common/dependencies.png
/usr/share/lintian/overrides/postgresql-common
/usr/share/man/man1/pg_conftool.1.gz
/usr/share/man/man1/pg_createcluster.1.gz
/usr/share/man/man1/pg_ctlcluster.1.gz
/usr/share/man/man1/pg_dropcluster.1.gz
/usr/share/man/man1/pg_lsclusters.1.gz
/usr/share/man/man1/pg_upgradecluster.1.gz
/usr/share/man/man1/pg_virtualenv.1.gz
/usr/share/man/man8/pg_updatedicts.8.gz
/usr/share/postgresql-common/createcluster.conf
/usr/share/postgresql-common/init.d-functions
/usr/share/postgresql-common/logrotate.template
/usr/share/postgresql-common/pg_checksystem
/usr/share/postgresql-common/run-upgrade-scripts
/usr/share/postgresql-common/testsuite
/usr/share/postgresql-common/pgdg/apt.postgresql.org.sh
/usr/share/postgresql-common/t/001_packages.t
/usr/share/postgresql-common/t/002_existing_clusters.t
/usr/share/postgresql-common/t/003_package_checks.t
/usr/share/postgresql-common/t/005_PgCommon.t
/usr/share/postgresql-common/t/006_next_free_port.t
/usr/share/postgresql-common/t/010_defaultport_cluster.t
/usr/share/postgresql-common/t/020_create_sql_remove.t
/usr/share/postgresql-common/t/030_errors.t
/usr/share/postgresql-common/t/031_errors_disk_full.t
/usr/share/postgresql-common/t/040_upgrade.t
/usr/share/postgresql-common/t/041_upgrade_custompaths.t
/usr/share/postgresql-common/t/042_upgrade_tablespaces.t
/usr/share/postgresql-common/t/043_upgrade_ssl_cert.t
/usr/share/postgresql-common/t/050_encodings.t
/usr/share/postgresql-common/t/051_inconsistent_encoding_upgrade.t
/usr/share/postgresql-common/t/052_upgrade_encodings.t
/usr/share/postgresql-common/t/060_obsolete_confparams.t
/usr/share/postgresql-common/t/070_non_postgres_clusters.t
/usr/share/postgresql-common/t/080_start.conf.t
/usr/share/postgresql-common/t/085_pg_ctl.conf.t
/usr/share/postgresql-common/t/090_multicluster.t
/usr/share/postgresql-common/t/100_upgrade_scripts.t
/usr/share/postgresql-common/t/110_integrate_cluster.t
/usr/share/postgresql-common/t/120_pg_upgradecluster_scripts.t
/usr/share/postgresql-common/t/130_nonroot_admin.t
/usr/share/postgresql-common/t/140_pg_config.t
/usr/share/postgresql-common/t/150_tsearch_stemming.t
/usr/share/postgresql-common/t/160_alternate_confroot.t
/usr/share/postgresql-common/t/170_extensions.t
/usr/share/postgresql-common/t/180_ecpg.t
/usr/share/postgresql-common/t/TestLib.pm
/usr/share/postgresql-common/t/template
/usr/share/postgresql-common/upgrade-scripts/SPECIFICATION

Changelog

2017-11-07 - Christoph Berg <myon@debian.org>
postgresql-common (165+deb8u3) jessie-security; urgency=medium
* pg_ctlcluster, pg_createcluster, pg_upgradecluster: Use lchown instead
of chown to mitigate privilege escalation via symlinks. (CVE-2017-8806.
Related to CVE-2017-12172 in PostgreSQL; extends our earlier fix for
CVE-2016-1255.)
2017-01-01 - Christoph Berg <myon@debian.org>
postgresql-common (165+deb8u2) jessie; urgency=medium
* pg_upgradecluster: Properly upgrade databases with non-login role owners.
(Closes: #614374, #838812)
* pg_ctlcluster, t/020_create_sql_remove.t: Protect against symlink in
/var/log/postgresql/ allowing the creation of arbitrary files elsewhere.
Discovered by Dawid Golunski, thanks! (CVE-2016-1255)
* t/TestLib.pm: Cherry-pick program_ok() from master for use in
t/020_create_sql_remove.t.
2016-03-26 - Christoph Berg <myon@debian.org>
postgresql-common (165+deb8u1) jessie; urgency=medium
* pg_upgradecluster: Set default dynamic_shared_memory_type = mmap.
(Closes: #784005, #812206)
This primarily avoids problems with upgrading existing clusters in a LXC
container. As earlier PG versions did not have d_s_m_t, the upgraded
postgresql.conf won't have this setting either, yielding the compiled-in
default of 'posix' which doesn't work in LXC. Pick something else here to
avoid that problem. Notably, it's important that this problem is fixed in
pg_upgradecluster itself because working around the problem is hard as the
upgrade will fail early without the possibility of manually fixing the
config. (Newly created clusters do not have that problem because initdb
probes for a method working in the given system.)
* t/040_upgrade.t: Skip testing pg_upgrade with datallowconn = f, it does
not support that anymore as of May 2015.
(Cherry-pick from master to allow testing the pg_upgradecluster fix)
2015-01-04 - Christoph Berg <myon@debian.org>
postgresql-common (165) unstable; urgency=medium
* Debconf translation updates, thanks!
+ es by Manuel Venturi Porras Peralta. (Closes: #773598)
2014-12-17 - Christoph Berg <myon@debian.org>
postgresql-common (164) unstable; urgency=medium
* Init script: Always create /var/run/postgresql on start.
(Closes: #772824)
* Debconf translation updates, thanks!
+ pt by Ricardo Silva. (Closes: #767399)
* t/100_upgrade_scripts.t: Incompatible with eatmydata, remove from
LD_PRELOAD when detected.
* t/170_extensions.t: Catch warning with chkpass on 9.5.
* debian/supported-versions: Support jessie in backports and
apt.postgresql.org, with 9.4 as default.
* pgdg/apt.postgresql.org.sh: Support jessie.
2014-10-26 - Martin Pitt <mpitt@debian.org>
postgresql-common (163) unstable; urgency=medium
[ Martin Pitt ]
* pg_createcluster: Disable copy-on-write semantics for data directory on
btrfs and similar file systems. It eats a lot of performance and isn't
necessary for data integrity.
* debian/supported-versions: Welcome Ubuntu 15.04!
[ Christoph Berg ]
* Update VCS URLs.
2014-10-07 - Christoph Berg <myon@debian.org>
postgresql-common (162) unstable; urgency=medium
[ Christoph Berg ]
* Move PgCommon.pm to /usr/share/perl5.
* t/020_create_sql_remove.t: Test psql -tx alignment to catch a bug in
9.4beta2.
* supported-versions: Set 9.4 as pgdg default on Ubuntu 14.10.
* Debconf translation updates, thanks!
+ nl by Frans Spiesschaert. (Closes: #762632)
[ Peter Michael Green ]
* Use ID_LIKE to identify deriviatives of Debian and Ubuntu.
(Closes: #761020)
[ Richard Hughes ]
* Use Type=forking in postgresql@.service and start before postgresql.
(Closes: #759725)

See Also

Package Description
postgresql-comparator_2.2.5-2_i386.deb efficient PostgreSQL table content comparison and synchronization
postgresql-contrib-9.4_9.4.18-0+deb8u1_i386.deb additional facilities for PostgreSQL
postgresql-contrib_9.4+165+deb8u3_all.deb additional facilities for PostgreSQL (supported version)
postgresql-doc-9.4_9.4.18-0+deb8u1_all.deb documentation for the PostgreSQL database management system
postgresql-doc_9.4+165+deb8u3_all.deb documentation for the PostgreSQL database management system
postgresql-filedump_9.3.0-2_i386.deb Utility to format PostgreSQL files
postgresql-plperl-9.1_9.1.22-0+deb8u1_i386.deb PL/Perl procedural language for PostgreSQL 9.1
postgresql-plperl-9.4_9.4.18-0+deb8u1_i386.deb PL/Perl procedural language for PostgreSQL 9.4
postgresql-plpython-9.4_9.4.18-0+deb8u1_i386.deb PL/Python procedural language for PostgreSQL 9.4
postgresql-plpython3-9.4_9.4.18-0+deb8u1_i386.deb PL/Python 3 procedural language for PostgreSQL 9.4
postgresql-pltcl-9.4_9.4.18-0+deb8u1_i386.deb PL/Tcl procedural language for PostgreSQL 9.4
postgresql-prioritize_1.0.4-1.1_i386.deb Get and set the nice priorities of PostgreSQL backends
postgresql-server-dev-9.4_9.4.18-0+deb8u1_i386.deb development files for PostgreSQL 9.4 server-side programming
postgresql-server-dev-all_165+deb8u3_all.deb extension build tool for multiple PostgreSQL versions
postgresql_9.4+165+deb8u3_all.deb object-relational SQL database (supported version)
Advertisement
Advertisement